from django.db import models 

from django.db import models
from django.contrib.auth.models import User
from datetime import *


class cat_persona(models.Model):
	#imagen = models.ImageField(upload_to = 'static/imagenes_usuarios', blank = True, null = True)
	id = models.CharField(max_length = 50, primary_key=True)
	nombre = models.CharField(max_length = 50)
	apellido_paterno = models.CharField(max_length = 50)
	apellido_materno = models.CharField(max_length = 50)
	fecha_nacimiento = models.DateField()
	sexo = models.CharField(max_length = 1)
	correo = models.EmailField( max_length = 100 )
	telefono = models.CharField( max_length = 15 )
	celular = models.CharField( max_length = 15, blank = True, null = True )
	edad = models.IntegerField()	

	def __unicode__(self):
		return u'%s' % self.nombre

	class Meta:
		ordering = ['nombre']
		verbose_name = 'Catalogo de Personas'
		verbose_name_plural = 'Catalogo de Personas'

class municipios (models.Model):
	id = models.IntegerField( primary_key=True)
	municipio = models.CharField(max_length = 150)

class cat_localidad(models.Model):
	id = models.IntegerField(primary_key=True)
	municipio_id = models.ForeignKey(municipios)
	localidad = models.CharField(max_length = 150)

class vivienda (models.Model):
	id = models.CharField(max_length = 50, primary_key=True)
	calle = models.CharField(max_length = 30)
	numero = models.CharField(max_length = 10)
	codigo_postal = models.CharField(max_length = 10)
	colonia = models.CharField(max_length = 30)
	localidad_id = models.ForeignKey(cat_localidad)
	referencia = models.CharField(max_length = 300)
	longitud = models.CharField( max_length = 300, null = True, blank = True )
	latitud = models.CharField( max_length = 300, null = True, blank = True )
	encuestaTerminada =models.IntegerField()

 	def __unicode__(self):
		return u'%s' % self.calle

	class Meta:
		ordering = ['calle']
		verbose_name = 'Catalogo de vivienda'
		verbose_name_plural = 'Catalogo de vivienda'

class familia (models.Model):
	id = models.CharField(max_length = 50, primary_key=True)
	vivienda_id = models.ForeignKey(vivienda)
	encuestaTerminada =models.IntegerField()
	
	def __unicode__(self):
		return u'%s' % self.vivienda

	class Meta:
		verbose_name = 'Catalogo de familias'
		verbose_name_plural = 'Catalogo de familias'

class integrantes (models.Model):
	id = models.CharField(max_length = 50, primary_key=True)
	familia_id = models.ForeignKey(familia)
	integrante_id = models.ForeignKey(cat_persona)
	encuestaTerminada =models.IntegerField()	

	def __unicode__(self):
		return u'%s' % self.integrante

	class Meta:
		verbose_name = 'Catalogo de integrantes'
		verbose_name_plural = 'Catalogo de integrantes'

class encuestadores (models.Model):
	id = models.CharField(max_length = 50, primary_key=True)
	encuestador_id = models.ForeignKey(cat_persona)
	macadress = models.CharField(max_length = 20)

	def __unicode__(self):
		return u'%s' % self.integrante

	class Meta:
		verbose_name = 'Catalogo de integrantes'
		verbose_name_plural = 'Catalogo de integrantes'

class preguntas (models.Model):
	id = models.IntegerField( primary_key=True)
	numero = models.IntegerField()
	pregunta = models.CharField(max_length = 300)

	def __unicode__(self):
		return u'%s' % self.pregunta

	class Meta:
		verbose_name = 'Catalogo de preguntas'
		verbose_name_plural = 'Catalogo de preguntas'


class respuestas (models.Model):
	idPregunta_id = models.ForeignKey(preguntas)
	respuesta = models.CharField(max_length = 300)

	def __unicode__(self):
		return u'%s' % self.respuesta

	class Meta:
		verbose_name = 'Catalogo de respuestas'
		verbose_name_plural = 'Catalogo de respuestas'

class respuestasabiertas (models.Model):
        id = models.CharField(max_length = 50, primary_key=True)
	idPregunta_id = models.ForeignKey(preguntas)
	respuesta = models.CharField(max_length = 100)
	idIntegrante = models.ForeignKey(integrantes)

	def __unicode__(self):
		return u'%s' % self.respuesta

	class Meta:
		verbose_name = 'Catalogo de respuestas abiertas'
		verbose_name_plural = 'Catalogo de respuestas abiertas'

class resultados (models.Model):
	id = models.CharField(max_length = 50, primary_key=True)
	viviendaId_id = models.CharField(max_length = 50)
	idIntegrante_id =  models.CharField(max_length = 50)
	idpregunta_id = models.ForeignKey(preguntas)
	idrespuesta = models.ForeignKey(respuestas)
	fechaCaptura = models.DateField(default = datetime.now())

	def __unicode__(self):
		return u'%s' % self.respuesta

class ultimo_ano(models.Model):
	grado_estudio = models.IntegerField()
	an_estudio = models.IntegerField()


class Photo(models.Model):
	title = models.CharField(max_length=255,blank=True)
	#photo = models.FileField(upload_to='media')
	photo = models.FileField(upload_to='media')
	description = models.TextField(blank=True)
	uploaded = models.DateTimeField(auto_now_add=True)
	modified = models.DateTimeField(auto_now=True)
	class Meta:
		db_table = 'media_photos'
